using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace AccellaNetApplication.Libraries.ControlsLibrary
{

	public class SystekProgressBar : System.Windows.Forms.UserControl {
		private Infragistics.Win.UltraWinProgressBar.UltraProgressBar systekProgressBar;
		private System.Windows.Forms.Timer timerCallingServer;
		private System.ComponentModel.IContainer components;
		Infragistics.Win.Appearance appearance = new Infragistics.Win.Appearance();
		public SystekProgressBar() {
			InitializeComponent();
			systekProgressBar.FillAppearance.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			systekProgressBar.FillAppearance.BackColor2= Color.Aquamarine;
			systekProgressBar.Style = Infragistics.Win.UltraWinProgressBar.ProgressBarStyle.Continuous;
			systekProgressBar.Maximum = 6000;
			systekProgressBar.Value = 0;

			appearance.BackColor = System.Drawing.Color.Transparent;
			systekProgressBar.Appearance = appearance;
			systekProgressBar.Location = new System.Drawing.Point(0, 744);
			systekProgressBar.Maximum = 6000;
			systekProgressBar.Name = "systekProgressBar";
			systekProgressBar.UseOsThemes = Infragistics.Win.DefaultableBoolean.False;
		}
		

		public void setMaxValue(int maxValue){
			systekProgressBar.Maximum = maxValue;
		}

		public void SetText(string statusText) {
			systekProgressBar.Text = statusText;
		}

		public void setDocking(System.Windows.Forms.DockStyle dockStyle){
			systekProgressBar.Dock = dockStyle;
		}

		public void setAnchor(System.Windows.Forms.AnchorStyles anchorStyles){
			systekProgressBar.Anchor = anchorStyles;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing ) {
			if( disposing ) {
				if( components != null )
					components.Dispose();
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			this.systekProgressBar = new Infragistics.Win.UltraWinProgressBar.UltraProgressBar();
			this.timerCallingServer = new System.Windows.Forms.Timer(this.components);
			this.SuspendLayout();
			// 
			// systekProgressBar
			// 
			this.systekProgressBar.Dock = System.Windows.Forms.DockStyle.Fill;
			this.systekProgressBar.Name = "systekProgressBar";
			this.systekProgressBar.Size = new System.Drawing.Size(392, 24);
			this.systekProgressBar.TabIndex = 0;
			this.systekProgressBar.Text = "[Formatted]";
			// 
			// ProgressBar
			// 
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.systekProgressBar});
			this.Name = "ProgressBar";
			this.Size = new System.Drawing.Size(392, 20);
			this.ResumeLayout(false);

		}
		#endregion

	}
}